package com.zhiwei.manage.dao;

import java.util.List;

import com.zhiwei.manage.bean.CrawTemplate;

/**
 * 采集模板
 * 
 * @author admin
 *
 */
public interface CrawTemplateDao {

	/**
	 * 获取全部
	 * 
	 * @return
	 */
	public List<CrawTemplate> findAll();

	/**
	 * 获取采集的主键
	 * 
	 * @param tempName
	 * @return
	 */
	public String getSpIdByConfigName(String tempName);

	/**
	 * 根据采集主键获取采集模板
	 * 
	 * @param sypId
	 * @return
	 */
	public CrawTemplate getPt(String sypId);

}
